import { AnimationReferenceMetadata } from '@angular/animations';
export declare type FadeAnimationAxis = 'x' | 'y';
export declare type FadeAnimationSteps = {
    a: any;
    b: any;
};
export declare type FadeAnimationOptions = {
    fromOpacity: number;
    toOpacity: number;
    axis: FadeAnimationAxis;
    steps: FadeAnimationSteps;
    timing?: number;
    delay?: number;
    timingFunction?: string;
};
export declare function fade(options: FadeAnimationOptions): AnimationReferenceMetadata;
export declare function fadeInDirection(axis: FadeAnimationAxis, steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeInX(steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeInY(steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeIn(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeInDown(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeInUp(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeInLeft(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeInRight(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutDirection(axis: FadeAnimationAxis, steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutX(steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutY(steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOut(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutDown(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutUp(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutLeft(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function fadeOutRight(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideDirection(axis: FadeAnimationAxis, steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideX(steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideY(steps: FadeAnimationSteps, timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideInDown(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideInUp(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideInLeft(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideInRight(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideOutUp(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideOutDown(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideOutLeft(timing?: number, delay?: number): AnimationReferenceMetadata;
export declare function slideOutRight(timing?: number, delay?: number): AnimationReferenceMetadata;
